View Issue Details

IDProjectCategoryView StatusLast Update
0003162Multi Theft Auto : San AndreasScriptingpublic2011-10-03 22:46
ReporterArcAssigned Tomekorea 
PrioritylowSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.2Fixed in Version1.2 
Summary0003162: setVehicleIdleRespawnDelay doesn't work
Description

If you execute the commands below, get in the car, drive around a bit and get out again, it doesn't respawn after 5 seconds.

/createvehicle infernus
/run (function() local v = getElementsByType('vehicle')[1] setVehicleIdleRespawnDelay(v, 5000) toggleVehicleRespawn(v, true) end)()

TagsNo tags attached.

Activities

ChrML

2008-02-06 16:07

administrator   ~~0007229

It will only respawn when it's been idle for that long and has been deserted (no players within syncing range of it). We might want a way to specify a non-deserted idle time aswell.

mekorea

2010-12-27 13:06

developer   ~~0012366

Apparently this is still to be "fixed" so that even non-deserted vehicles will respawn.

This should be quite easy task to do. Either add new optional param. for the function or just simply make it respawn the vehicle no matter what or where it is.

Picard

2011-10-03 22:44

updater   ~~0015022

Issue automatically marked as fixed by mantisbot ( Fixed in http://code.google.com/p/mtasa-blue/source/detail?r=3262 )

Issue History

Date Modified Username Field Change